summaryrefslogtreecommitdiffstats
path: root/network/ngircd
diff options
context:
space:
mode:
Diffstat (limited to 'network/ngircd')
-rw-r--r--network/ngircd/README9
-rw-r--r--network/ngircd/doinst.sh13
-rw-r--r--network/ngircd/ngircd.SlackBuild86
-rw-r--r--network/ngircd/ngircd.info10
-rw-r--r--network/ngircd/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/network/ngircd/README b/network/ngircd/README
new file mode 100644
index 0000000000..ed5c357835
--- /dev/null
+++ b/network/ngircd/README
@@ -0,0 +1,9 @@
+ngircd (Next Generation IRC Daemon)
+
+ngIRCd is a portable IRC daemon written from scratch. It is easy to
+configure, supports server links (even with original ircds), and runs
+on hosts with changing IP addresses (such as dial-in networks).
+
+This defaults to using gnutls for SSL support; if you prefer to use
+openssl (which will result in a non-redistributable package), then
+pass "SSLTYPE=openssl" to the script when running it.
diff --git a/network/ngircd/doinst.sh b/network/ngircd/doinst.sh
new file mode 100644
index 0000000000..516b0d48bc
--- /dev/null
+++ b/network/ngircd/doinst.sh
@@ -0,0 +1,13 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/ngircd.conf.new
diff --git a/network/ngircd/ngircd.SlackBuild b/network/ngircd/ngircd.SlackBuild
new file mode 100644
index 0000000000..0e64b64515
--- /dev/null
+++ b/network/ngircd/ngircd.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for ngircd
+
+# Written by /dev/rob0 <rob0@slackbuilds.org>
+
+PRGNAM=ngircd
+VERSION=${VERSION:-17.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-${SSLTYPE:-gnutls} \
+ --enable-ipv6 \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Don't clobber the config file on upgrades
+mv $PKG/etc/ngircd.conf $PKG/etc/ngircd.conf.new
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog README COPYING INSTALL NEWS doc/*.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ngircd/ngircd.info b/network/ngircd/ngircd.info
new file mode 100644
index 0000000000..ba24e2329f
--- /dev/null
+++ b/network/ngircd/ngircd.info
@@ -0,0 +1,10 @@
+PRGNAM="ngircd"
+VERSION="17.1"
+HOMEPAGE="http://ngircd.barton.de/"
+DOWNLOAD="ftp://ftp.berlios.de/pub/ngircd/ngircd-17.1.tar.gz"
+MD5SUM="b4ad0b1f18875ff3f2e92f076e64496b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="/dev/rob0"
+EMAIL="rob0@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/network/ngircd/slack-desc b/network/ngircd/slack-desc
new file mode 100644
index 0000000000..0829934458
--- /dev/null
+++ b/network/ngircd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ngircd: ngircd (Next Generation IRC Daemon)
+ngircd:
+ngircd: ngIRCd is a portable IRC daemon written from scratch. It is easy to
+ngircd: configure, supports server links (even with original ircds) and runs
+ngircd: on hosts with changing IP addresses (such as dial-in networks).
+ngircd:
+ngircd: http://ngircd.barton.de/
+ngircd:
+ngircd:
+ngircd:
+ngircd: